﻿#Region "Options"
Option Explicit On
Option Strict Off
#End Region

#Region "Copyright"
'Dextera Labs Inc.
'(c) Copyright 2005-2013 Dextera Labs Inc.
'ALL RIGHTS RESERVED

'The software, source code and information contained herein are
'proprietary to, and comprise valuable intellectual property and
'trade secrets of Dextera Labs Inc.

'This software is furnished pursuant to a Source Code License
'Agreement between Dextera and the Licensee and may be used,
'copied, transmitted, and stored only by the Licensee in accordance
'with the terms of such license and with the inclusion of this
'copyright notice.

'This software, source code and information or any other copies
'thereof may not be provided or otherwise made available to any
'person not bound by the terms of the Source Code License Agreement.
#End Region

#Region "Imports"
Imports System.Runtime.InteropServices
#End Region

Module VideoInterfaceModule
    Public Enum HRESULT
        S_OK = 0
        S_FALSE = 1
        E_NOTIMPL = &H80004001
        E_INVALIDARG = &H80070057
        E_NOINTERFACE = &H80004002
        E_FAIL = &H80004005
        E_UNEXPECTED = &H8000FFFF
    End Enum
    Public ReadOnly CLSID_MEdiaType_Video As Guid = New Guid("73646976-0000-0010-8000-00AA00389B71")
    Public ReadOnly CLSID_GENIE1080P As Guid = New Guid("17CCA71B-ECD7-11D0-B908-00A0C9223196")
End Module
